
From: Adrian Bunk <bunk@fs.tum.de>

drivers/char/cyclades.c: In function `cy_cleanup_module':
drivers/char/cyclades.c:5638: warning: implicit declaration of function `pci_release_regions'


---

 25-akpm/drivers/char/cyclades.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/char/cyclades.c~fix-cyclades-compile-with-pci drivers/char/cyclades.c
--- 25/drivers/char/cyclades.c~fix-cyclades-compile-with-pci	2004-05-12 21:03:59.668353552 -0700
+++ 25-akpm/drivers/char/cyclades.c	2004-05-12 21:03:59.675352488 -0700
@@ -5634,8 +5634,10 @@ cy_cleanup_module(void)
 #endif /* CONFIG_CYZ_INTR */
 	    )
 		free_irq(cy_card[i].irq, &cy_card[i]);
+#ifdef CONFIG_PCI
 		if (cy_card[i].pdev)
 			pci_release_regions(cy_card[i].pdev);
+#endif
         }
     }
     if (tmp_buf) {

_
